/*     */ package com.jaspersoft.jasperserver.irplugin.gui;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.api.metadata.xml.domain.impl.ResourceDescriptor;
/*     */ import com.jaspersoft.jasperserver.irplugin.JServer;
/*     */ import com.jaspersoft.jasperserver.irplugin.RepositoryFile;
/*     */ import com.jaspersoft.jasperserver.irplugin.RepositoryFolder;
/*     */ import com.jaspersoft.jasperserver.irplugin.RepositoryReportUnit;
/*     */ import java.awt.Color;
/*     */ import java.awt.Component;
/*     */ import javax.swing.ImageIcon;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JLabel;
/*     */ import javax.swing.JTree;
/*     */ import javax.swing.tree.DefaultMutableTreeNode;
/*     */ import javax.swing.tree.DefaultTreeCellRenderer;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class RepositoryTreeCellRenderer
/*     */   extends DefaultTreeCellRenderer
/*     */ {
/*     */   static ImageIcon serverIcon;
/*     */   static ImageIcon folderIcon;
/*     */   static ImageIcon reportUnitIcon;
/*     */   static ImageIcon datasourceJndiIcon;
/*     */   static ImageIcon datasourceJdbcIcon;
/*     */   static ImageIcon datasourceBeanIcon;
/*     */   static ImageIcon datasourceIcon;
/*     */   static ImageIcon imageIcon;
/*     */   static ImageIcon jrxmlIcon;
/*     */   static ImageIcon fontIcon;
/*     */   static ImageIcon jarIcon;
/*     */   static ImageIcon refIcon;
/*     */   static ImageIcon bundleIcon;
/*     */   static ImageIcon inputcontrolIcon;
/*     */   static ImageIcon datatypeIcon;
/*     */   static ImageIcon lovIcon;
/*     */   static ImageIcon unknowIcon;
/*     */   static ImageIcon queryIcon;
/*     */   static ImageIcon waitingIcon;
/*     */   static ImageIcon reportOptionsResourceIcon;
/*     */   
/*     */   static
/*     */   {
/*  65 */     if (serverIcon == null) serverIcon = new ImageIcon(RepositoryTreeCellRenderer.class.getResource("/com/jaspersoft/jasperserver/irplugin/res/server.png"));
/*  66 */     if (folderIcon == null) folderIcon = new ImageIcon(RepositoryTreeCellRenderer.class.getResource("/com/jaspersoft/jasperserver/irplugin/res/folder.png"));
/*  67 */     if (reportUnitIcon == null) { reportUnitIcon = new ImageIcon(RepositoryTreeCellRenderer.class.getResource("/com/jaspersoft/jasperserver/irplugin/res/reportunit.png"));
/*     */     }
/*  69 */     if (datasourceJndiIcon == null) datasourceJndiIcon = new ImageIcon(RepositoryTreeCellRenderer.class.getResource("/com/jaspersoft/jasperserver/irplugin/res/datasource_jndi.png"));
/*  70 */     if (datasourceIcon == null) datasourceIcon = new ImageIcon(RepositoryTreeCellRenderer.class.getResource("/com/jaspersoft/jasperserver/irplugin/res/datasource.png"));
/*  71 */     if (datasourceJdbcIcon == null) datasourceJdbcIcon = new ImageIcon(RepositoryTreeCellRenderer.class.getResource("/com/jaspersoft/jasperserver/irplugin/res/datasource_jdbc.png"));
/*  72 */     if (imageIcon == null) imageIcon = new ImageIcon(RepositoryTreeCellRenderer.class.getResource("/com/jaspersoft/jasperserver/irplugin/res/picture.png"));
/*  73 */     if (jrxmlIcon == null) { jrxmlIcon = new ImageIcon(RepositoryTreeCellRenderer.class.getResource("/com/jaspersoft/jasperserver/irplugin/res/jrxml_file.png"));
/*     */     }
/*  75 */     if (refIcon == null) refIcon = new ImageIcon(RepositoryTreeCellRenderer.class.getResource("/com/jaspersoft/jasperserver/irplugin/res/link.png"));
/*  76 */     if (bundleIcon == null) bundleIcon = new ImageIcon(RepositoryTreeCellRenderer.class.getResource("/com/jaspersoft/jasperserver/irplugin/res/bundle.png"));
/*  77 */     if (fontIcon == null) fontIcon = new ImageIcon(RepositoryTreeCellRenderer.class.getResource("/com/jaspersoft/jasperserver/irplugin/res/font.png"));
/*  78 */     if (jarIcon == null) jarIcon = new ImageIcon(RepositoryTreeCellRenderer.class.getResource("/com/jaspersoft/jasperserver/irplugin/res/jar.png"));
/*  79 */     if (inputcontrolIcon == null) inputcontrolIcon = new ImageIcon(RepositoryTreeCellRenderer.class.getResource("/com/jaspersoft/jasperserver/irplugin/res/inputcontrol.png"));
/*  80 */     if (datatypeIcon == null) datatypeIcon = new ImageIcon(RepositoryTreeCellRenderer.class.getResource("/com/jaspersoft/jasperserver/irplugin/res/datatype.png"));
/*  81 */     if (lovIcon == null) { lovIcon = new ImageIcon(RepositoryTreeCellRenderer.class.getResource("/com/jaspersoft/jasperserver/irplugin/res/lov.png"));
/*     */     }
/*  83 */     if (datasourceBeanIcon == null) datasourceBeanIcon = new ImageIcon(RepositoryTreeCellRenderer.class.getResource("/com/jaspersoft/jasperserver/irplugin/res/datasource_bean.png"));
/*  84 */     if (unknowIcon == null) unknowIcon = new ImageIcon(RepositoryTreeCellRenderer.class.getResource("/com/jaspersoft/jasperserver/irplugin/res/unknow.png"));
/*  85 */     if (queryIcon == null) { queryIcon = new ImageIcon(RepositoryTreeCellRenderer.class.getResource("/com/jaspersoft/jasperserver/irplugin/res/query.png"));
/*     */     }
/*  87 */     if (waitingIcon == null) { waitingIcon = new ImageIcon(RepositoryTreeCellRenderer.class.getResource("/com/jaspersoft/jasperserver/irplugin/res/waiting.png"));
/*     */     }
/*  89 */     if (reportOptionsResourceIcon == null) { reportOptionsResourceIcon = new ImageIcon(RepositoryTreeCellRenderer.class.getResource("/com/jaspersoft/jasperserver/irplugin/res/reportunit_options.png"));
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public Component getTreeCellRendererComponent(JTree tree, Object value, boolean sel, boolean expanded, boolean leaf, int row, boolean hasFocus)
/*     */   {
/* 105 */     super.getTreeCellRendererComponent(tree, value, sel, expanded, leaf, row, hasFocus);
/*     */     
/*     */ 
/*     */ 
/* 109 */     setForeground(Color.BLACK);
/* 110 */     ImageIcon icon = getElementIcon(value);
/* 111 */     setIcon(icon);
/*     */     
/* 113 */     setToolTipText(null);
/*     */     
/* 115 */     return this;
/*     */   }
/*     */   
/*     */   protected ImageIcon getElementIcon(Object value)
/*     */   {
/* 120 */     if (!(value instanceof DefaultMutableTreeNode)) { return folderIcon;
/*     */     }
/* 122 */     DefaultMutableTreeNode node = (DefaultMutableTreeNode)value;
/* 123 */     setForeground(Color.BLACK);
/*     */     
/* 125 */     if ((node.getUserObject() instanceof JServer))
/*     */     {
/* 127 */       if (((JServer)node.getUserObject()).isLoading())
/*     */       {
/* 129 */         setText(getText() + " (loading...)");
/* 130 */         return waitingIcon;
/*     */       }
/* 132 */       return serverIcon;
/*     */     }
/* 134 */     if ((node.getUserObject() instanceof RepositoryReportUnit)) return reportUnitIcon;
/* 135 */     if ((node.getUserObject() instanceof RepositoryFile))
/*     */     {
/* 137 */       RepositoryFile file = (RepositoryFile)node.getUserObject();
/* 138 */       return getResourceIcon(file.getDescriptor());
/*     */     }
/* 140 */     if ((node.getUserObject() instanceof RepositoryFolder)) { return folderIcon;
/*     */     }
/* 142 */     return folderIcon;
/*     */   }
/*     */   
/*     */   public static ImageIcon getResourceIcon(ResourceDescriptor resource)
/*     */   {
/* 147 */     if (resource == null) return serverIcon;
/* 148 */     if (resource.getWsType() == null) return serverIcon;
/* 149 */     if (resource.getIsReference()) return refIcon;
/* 150 */     if (resource.getWsType().equals("folder")) return folderIcon;
/* 151 */     if (resource.getWsType().equals("reportUnit")) return reportUnitIcon;
/* 152 */     if (resource.getWsType().equals("jndi")) return datasourceJndiIcon;
/* 153 */     if (resource.getWsType().equals("jdbc")) return datasourceJdbcIcon;
/* 154 */     if (resource.getWsType().equals("bean")) return datasourceBeanIcon;
/* 155 */     if (resource.getWsType().equals("olapXmlaCon")) return datasourceIcon;
/* 156 */     if (resource.getWsType().equals("img")) return imageIcon;
/* 157 */     if (resource.getWsType().equals("jrxml")) return jrxmlIcon;
/* 158 */     if (resource.getWsType().equals("font")) return fontIcon;
/* 159 */     if (resource.getWsType().equals("jar")) return jarIcon;
/* 160 */     if (resource.getWsType().equals("prop")) return bundleIcon;
/* 161 */     if (resource.getWsType().equals("inputControl")) return inputcontrolIcon;
/* 162 */     if (resource.getWsType().equals("dataType")) return datatypeIcon;
/* 163 */     if (resource.getWsType().equals("lov")) return lovIcon;
/* 164 */     if (resource.getWsType().equals("query")) return queryIcon;
/* 165 */     if (resource.getWsType().equals("ReportOptionsResource")) return reportOptionsResourceIcon;
/* 166 */     return unknowIcon;
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-ireport-plugin-2.0.1.jar!\com\jaspersoft\jasperserver\irplugin\gui\RepositoryTreeCellRenderer.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       0.7.1
 */