/*     */ package com.jaspersoft.jasperserver.irplugin.gui.dndobjects;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.api.metadata.xml.domain.impl.ResourceDescriptor;
/*     */ import com.jaspersoft.jasperserver.irplugin.IRPlugin;
/*     */ import com.jaspersoft.jasperserver.irplugin.JServer;
/*     */ import com.jaspersoft.jasperserver.irplugin.RepositoryFile;
/*     */ import com.jaspersoft.jasperserver.irplugin.RepositoryFolder;
/*     */ import com.jaspersoft.jasperserver.irplugin.RepositoryReportUnit;
/*     */ import com.jaspersoft.jasperserver.irplugin.wsclient.WSClient;
/*     */ import it.businesslogic.ireport.HyperLinkableReportElement;
/*     */ import it.businesslogic.ireport.ImageReportElement;
/*     */ import it.businesslogic.ireport.JRLinkParameter;
/*     */ import it.businesslogic.ireport.JRParameter;
/*     */ import it.businesslogic.ireport.Report;
/*     */ import it.businesslogic.ireport.ReportElement;
/*     */ import it.businesslogic.ireport.SubDataset;
/*     */ import it.businesslogic.ireport.SubReportElement;
/*     */ import it.businesslogic.ireport.gui.ElementPropertiesDialog;
/*     */ import it.businesslogic.ireport.gui.JRParameterDialog;
/*     */ import it.businesslogic.ireport.gui.JReportFrame;
/*     */ import it.businesslogic.ireport.gui.MainFrame;
/*     */ import it.businesslogic.ireport.gui.event.SubDatasetObjectChangedEvent;
/*     */ import it.businesslogic.ireport.gui.library.AbstractLibraryObject;
/*     */ import java.awt.Dialog;
/*     */ import java.awt.Point;
/*     */ import java.awt.dnd.DropTargetDropEvent;
/*     */ import java.util.ArrayList;
/*     */ import java.util.List;
/*     */ import java.util.Vector;
/*     */ import javax.swing.ImageIcon;
/*     */ import javax.swing.JOptionPane;
/*     */ import org.syntax.jedit.IReportKeywordLookup;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class FileObject
/*     */   extends AbstractLibraryObject
/*     */ {
/*  56 */   private RepositoryFolder repositoryFile = null;
/*     */   
/*     */   public FileObject(RepositoryFolder repositoryFile)
/*     */   {
/*  60 */     setRepositoryFile(repositoryFile);
/*     */   }
/*     */   
/*     */   public String getName()
/*     */   {
/*  65 */     return "" + this.repositoryFile;
/*     */   }
/*     */   
/*     */   public void drop(DropTargetDropEvent dtde)
/*     */   {
/*     */     try
/*     */     {
/*  72 */       ResourceDescriptor rdMain = getRepositoryFile().getDescriptor();
/*  73 */       ResourceDescriptor rd = rdMain;
/*  74 */       if (rdMain.getIsReference())
/*     */       {
/*     */ 
/*  77 */         ResourceDescriptor rd2 = new ResourceDescriptor();
/*  78 */         rd2.setUriString(rdMain.getReferenceUri());
/*  79 */         rd = getRepositoryFile().getServer().getWSClient().get(rd2, null);
/*  80 */         if (rd == null) { rd = rdMain;
/*     */         }
/*     */       }
/*  83 */       if (rd.getWsType().equals("img"))
/*     */       {
/*  85 */         ImageReportElement ire = new ImageReportElement(0, 0, 10, 10);
/*  86 */         ire.setImageClass("java.lang.String");
/*  87 */         if ((rd.getParentFolder() != null) && (rd.getParentFolder().endsWith("_files")))
/*     */         {
/*     */ 
/*     */ 
/*  91 */           ire.setImageExpression("\"repo:" + rd.getName() + "\"");
/*     */         }
/*     */         else
/*     */         {
/*  95 */           ire.setImageExpression("\"repo:" + rd.getUriString() + "\"");
/*     */         }
/*     */         
/*     */ 
/*  99 */         int w = 200;int h = 100;
/*     */         try {
/* 101 */           RepositoryFile rf = new RepositoryFile(getRepositoryFile().getServer(), rd);
/* 102 */           String fileName = rf.getFile();
/* 103 */           if (fileName != null)
/*     */           {
/* 105 */             ImageIcon img = new ImageIcon(fileName);
/* 106 */             ire.setImg(img.getImage());
/* 107 */             w = img.getIconWidth();
/* 108 */             h = img.getIconHeight();
/*     */           }
/*     */         } catch (Exception ex) {
/* 111 */           ex.printStackTrace();
/*     */         }
/* 113 */         getReportFrame().dropReportElement(dtde.getLocation(), ire, w, h);
/*     */       }
/* 115 */       else if (rd.getWsType().equals("jrxml"))
/*     */       {
/* 117 */         Report report = getReport();
/* 118 */         if (rd.isMainReport()) return;
/* 119 */         SubReportElement sre = new SubReportElement(0, 0, 10, 10);
/* 120 */         sre.setSubreportExpressionClass("java.lang.String");
/* 121 */         if ((rd.getParentFolder() != null) && (rd.getParentFolder().endsWith("_files")))
/*     */         {
/*     */ 
/*     */ 
/* 125 */           sre.setSubreportExpression("\"repo:" + rd.getName() + "\"");
/*     */         }
/*     */         else
/*     */         {
/* 129 */           sre.setSubreportExpression("\"repo:" + rd.getUriString() + "\"");
/*     */         }
/* 131 */         sre.setConnectionExpression("$P{REPORT_CONNECTION}");
/* 132 */         sre.setUseConnection(true);
/*     */         
/* 134 */         Point p = dtde.getLocation();
/* 135 */         p.x = (getReportFrame().getZoomedDim(report.getLeftMargin()) - getReportFrame().getHScroll() + 10);
/* 136 */         getReportFrame().dropReportElement(p, sre, report.getWidth() - report.getLeftMargin() - report.getRightMargin(), 100);
/*     */ 
/*     */       }
/* 139 */       else if (rd.getWsType().equals("inputControl"))
/*     */       {
/* 141 */         Report report = getReportFrame().getReport();
/*     */         
/* 143 */         if (report == null) return;
/* 144 */         Vector v = report.getParameters();
/*     */         
/* 146 */         boolean found = false;
/* 147 */         for (int i = 0; i < v.size(); i++)
/*     */         {
/* 149 */           JRParameter parameter = (JRParameter)v.get(i);
/* 150 */           if (parameter.getName().equals(rd.getName()))
/*     */           {
/* 152 */             JRParameterDialog jrpd = new JRParameterDialog(MainFrame.getMainInstance(), true);
/* 153 */             jrpd.setParameter(parameter);
/* 154 */             jrpd.setVisible(true);
/*     */             
/*     */ 
/* 157 */             if (jrpd.getDialogResult() == 0)
/*     */             {
/* 159 */               report.getKeywordLookup().removeKeyword("$P{" + parameter.getName() + "}");
/*     */               
/* 161 */               parameter.setName(jrpd.getParameter().getName());
/* 162 */               report.getKeywordLookup().addKeyword("$P{" + parameter.getName() + "}");
/*     */               
/* 164 */               parameter.setClassType(jrpd.getParameter().getClassType());
/* 165 */               parameter.setDescription(jrpd.getParameter().getDescription());
/* 166 */               parameter.setDefaultValueExpression(jrpd.getParameter().getDefaultValueExpression());
/* 167 */               parameter.setIsForPrompting(jrpd.getParameter().isIsForPrompting());
/*     */               
/* 169 */               report.fireSubDatasetObjectChangedListenerSubDatasetObjectChanged(new SubDatasetObjectChangedEvent(report, 2, 2, parameter, parameter));
/*     */             }
/*     */             
/*     */ 
/*     */ 
/*     */ 
/* 175 */             found = true;
/* 176 */             break;
/*     */           }
/*     */         }
/*     */         
/* 180 */         if (!found)
/*     */         {
/* 182 */           JRParameter newParam = new JRParameter(rd.getName(), "java.lang.String");
/* 183 */           JRParameterDialog jrpd = new JRParameterDialog(MainFrame.getMainInstance(), true);
/* 184 */           newParam.setIsForPrompting(true);
/* 185 */           jrpd.setParameter(newParam);
/* 186 */           jrpd.setSubDataset(report);
/* 187 */           jrpd.setVisible(true);
/*     */           
/*     */ 
/* 190 */           if (jrpd.getDialogResult() == 0)
/*     */           {
/* 192 */             JRParameter parameter = jrpd.getParameter();
/* 193 */             report.addParameter(parameter);
/*     */           }
/*     */           
/*     */         }
/*     */         
/*     */       }
/* 199 */       else if (rd.getWsType().equals("reportUnit"))
/*     */       {
/*     */ 
/*     */ 
/* 203 */         ReportElement re = getReportFrame().getElementAt(dtde.getLocation());
/* 204 */         if ((re != null) && ((re instanceof HyperLinkableReportElement)))
/*     */         {
/* 206 */           HyperLinkableReportElement hre = (HyperLinkableReportElement)re;
/* 207 */           hre.setHyperlinkType("ReportExecution");
/*     */           
/* 209 */           List linkParameters = new ArrayList();
/* 210 */           linkParameters.add(new JRLinkParameter("_report", "\"" + rd.getUriString() + "\""));
/*     */           
/* 212 */           List listChildren = rd.getChildren();
/* 213 */           if ((this.repositoryFile instanceof RepositoryReportUnit))
/*     */           {
/* 215 */             RepositoryReportUnit reportUnit = (RepositoryReportUnit)this.repositoryFile;
/* 216 */             if ((!reportUnit.isLoaded()) || (rd.getChildren().size() == 0))
/*     */             {
/* 218 */               ResourceDescriptor descriptor = new ResourceDescriptor();
/* 219 */               descriptor.setWsType("reportUnit");
/* 220 */               descriptor.setUriString(reportUnit.getDescriptor().getUriString());
/*     */               
/* 222 */               listChildren = reportUnit.getServer().getWSClient().list(descriptor);
/*     */             }
/*     */           }
/*     */           
/*     */ 
/* 227 */           for (int i = 0; i < listChildren.size(); i++)
/*     */           {
/* 229 */             ResourceDescriptor childRd = (ResourceDescriptor)listChildren.get(i);
/* 230 */             if (childRd.getWsType().equals("inputControl"))
/*     */             {
/* 232 */               linkParameters.add(new JRLinkParameter(childRd.getName(), ""));
/*     */             }
/*     */           }
/*     */           
/* 236 */           hre.setLinkParameters(linkParameters);
/*     */           
/* 238 */           getReportFrame().setSelectedElement(re);
/* 239 */           MainFrame.getMainInstance().getElementPropertiesDialog().setVisible(true);
/* 240 */           MainFrame.getMainInstance().getElementPropertiesDialog().gotoTab(8);
/*     */         }
/*     */         else
/*     */         {
/* 244 */           JOptionPane.showMessageDialog(MainFrame.getMainInstance(), IRPlugin.getString("messages.fileObject.notHyperlinkElement", "Please drag your Report Unit over an hyper linkable element like a text field, an image or a chart."));
/*     */         }
/*     */       }
/*     */     }
/*     */     catch (Exception ex)
/*     */     {
/* 250 */       ex.printStackTrace();
/*     */     }
/*     */   }
/*     */   
/*     */   public RepositoryFolder getRepositoryFile() {
/* 255 */     return this.repositoryFile;
/*     */   }
/*     */   
/*     */   public void setRepositoryFile(RepositoryFolder repositoryFile) {
/* 259 */     this.repositoryFile = repositoryFile;
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-ireport-plugin-2.0.1.jar!\com\jaspersoft\jasperserver\irplugin\gui\dndobjects\FileObject.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       0.7.1
 */