/*     */ package com.jaspersoft.jasperserver.irplugin.gui.inputcontrols.ui;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.api.metadata.xml.domain.impl.ListItem;
/*     */ import com.jaspersoft.jasperserver.irplugin.gui.inputcontrols.ListItemWrapper;
/*     */ import java.awt.Component;
/*     */ import java.awt.Container;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.GridBagConstraints;
/*     */ import java.awt.GridBagLayout;
/*     */ import java.awt.Insets;
/*     */ import java.util.ArrayList;
/*     */ import java.util.Collection;
/*     */ import java.util.HashMap;
/*     */ import java.util.Iterator;
/*     */ import java.util.List;
/*     */ import java.util.Set;
/*     */ import javax.swing.AbstractButton;
/*     */ import javax.swing.BorderFactory;
/*     */ import javax.swing.BoxLayout;
/*     */ import javax.swing.ButtonGroup;
/*     */ import javax.swing.JCheckBox;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JLabel;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JRadioButton;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CheckboxListInputControlUI
/*     */   extends JPanel
/*     */   implements InputControlUI
/*     */ {
/*  45 */   private HashMap itemValues = new HashMap();
/*     */   private ButtonGroup buttonGroup1;
/*     */   private JLabel jLabelName;
/*     */   
/*     */   public CheckboxListInputControlUI() {
/*  50 */     initComponents();
/*     */   }
/*     */   
/*     */   public Object getValue()
/*     */   {
/*  55 */     List list = new ArrayList();
/*     */     
/*  57 */     Iterator it = this.itemValues.keySet().iterator();
/*  58 */     while (it.hasNext())
/*     */     {
/*  60 */       JCheckBox bm = (JCheckBox)it.next();
/*  61 */       Object val = this.itemValues.get(bm);
/*  62 */       if (bm.isSelected())
/*     */       {
/*  64 */         list.add(val);
/*     */       }
/*     */     }
/*     */     
/*  68 */     return list;
/*     */   }
/*     */   
/*     */   public void setValue(Object v)
/*     */   {
/*  73 */     if ((v != null) && ((v instanceof Collection)))
/*     */     {
/*  75 */       Iterator values = ((Collection)v).iterator();
/*  76 */       while (values.hasNext())
/*     */       {
/*  78 */         Object val = values.next();
/*  79 */         if (val != null) {
/*  80 */           if (this.itemValues.containsValue(val))
/*     */           {
/*  82 */             Iterator it = this.itemValues.keySet().iterator();
/*  83 */             while (it.hasNext())
/*     */             {
/*  85 */               JCheckBox bm = (JCheckBox)it.next();
/*  86 */               Object val2 = this.itemValues.get(bm);
/*  87 */               if ((val2 != null) && (val2.equals(val)))
/*     */               {
/*  89 */                 bm.setSelected(true);
/*  90 */                 break;
/*     */               }
/*     */             }
/*     */           }
/*     */         }
/*     */       }
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   private void initComponents()
/*     */   {
/* 107 */     this.buttonGroup1 = new ButtonGroup();
/* 108 */     this.jLabelName = new JLabel();
/* 109 */     this.jPanelList = new JPanel();
/* 110 */     this.jRadioButton1 = new JRadioButton();
/* 111 */     this.jRadioButton2 = new JRadioButton();
/*     */     
/* 113 */     setLayout(new GridBagLayout());
/*     */     
/* 115 */     setPreferredSize(new Dimension(250, 40));
/* 116 */     this.jLabelName.setText("jLabel1");
/* 117 */     GridBagConstraints gridBagConstraints = new GridBagConstraints();
/* 118 */     gridBagConstraints.fill = 2;
/* 119 */     gridBagConstraints.weightx = 1.0D;
/* 120 */     gridBagConstraints.insets = new Insets(0, 4, 0, 4);
/* 121 */     add(this.jLabelName, gridBagConstraints);
/*     */     
/* 123 */     this.jPanelList.setLayout(new BoxLayout(this.jPanelList, 1));
/*     */     
/* 125 */     this.jRadioButton1.setText("jRadioButton1");
/* 126 */     this.jRadioButton1.setBorder(BorderFactory.createEmptyBorder(0, 0, 0, 0));
/* 127 */     this.jRadioButton1.setMargin(new Insets(4, 0, 0, 0));
/* 128 */     this.jRadioButton1.setMaximumSize(new Dimension(85, 19));
/* 129 */     this.jRadioButton1.setMinimumSize(new Dimension(85, 19));
/* 130 */     this.jRadioButton1.setPreferredSize(new Dimension(85, 19));
/* 131 */     this.jPanelList.add(this.jRadioButton1);
/*     */     
/* 133 */     this.jRadioButton2.setText("jRadioButton2");
/* 134 */     this.jRadioButton2.setBorder(BorderFactory.createEmptyBorder(0, 0, 0, 0));
/* 135 */     this.jRadioButton2.setMargin(new Insets(4, 0, 0, 0));
/* 136 */     this.jRadioButton2.setMaximumSize(new Dimension(85, 19));
/* 137 */     this.jRadioButton2.setMinimumSize(new Dimension(85, 19));
/* 138 */     this.jRadioButton2.setPreferredSize(new Dimension(85, 19));
/* 139 */     this.jPanelList.add(this.jRadioButton2);
/*     */     
/* 141 */     gridBagConstraints = new GridBagConstraints();
/* 142 */     gridBagConstraints.gridx = 0;
/* 143 */     gridBagConstraints.fill = 1;
/* 144 */     gridBagConstraints.weightx = 1.0D;
/* 145 */     gridBagConstraints.weighty = 1.0D;
/* 146 */     gridBagConstraints.insets = new Insets(2, 14, 4, 4);
/* 147 */     add(this.jPanelList, gridBagConstraints);
/*     */   }
/*     */   
/*     */ 
/*     */   public void setLabel(String lbl)
/*     */   {
/* 153 */     this.jLabelName.setText(lbl);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setHistory(List values)
/*     */   {
/* 161 */     if (values == null) { return;
/*     */     }
/*     */     
/* 164 */     this.jPanelList.removeAll();
/* 165 */     this.buttonGroup1 = new ButtonGroup();
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 175 */     int w = 100;
/* 176 */     Dimension d = this.jPanelList.getPreferredSize();
/* 177 */     for (int i = 0; i < values.size(); i++)
/*     */     {
/* 179 */       ListItemWrapper iw = (ListItemWrapper)values.get(i);
/*     */       
/*     */ 
/* 182 */       JCheckBox rb = new JCheckBox(iw.getItem().getLabel());
/* 183 */       rb.setSelected(false);
/* 184 */       this.itemValues.put(rb, iw.getItem().getValue());
/*     */       
/* 186 */       rb.setBorder(BorderFactory.createEmptyBorder(0, 0, 0, 0));
/* 187 */       rb.setMargin(new Insets(0, 0, 0, 0));
/*     */       
/* 189 */       if (rb.getPreferredSize().width > w) w = rb.getPreferredSize().width;
/* 190 */       d = new Dimension(w, rb.getPreferredSize().height * values.size());
/*     */       
/* 192 */       this.jPanelList.add(rb);
/*     */     }
/*     */     
/* 195 */     this.jPanelList.setPreferredSize(d);
/* 196 */     this.jPanelList.setMinimumSize(d);
/* 197 */     d.height += this.jLabelName.getPreferredSize().height + 6;
/* 198 */     setPreferredSize(d);
/* 199 */     setMinimumSize(d);
/*     */     
/* 201 */     this.jPanelList.updateUI();
/* 202 */     updateUI();
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   private JPanel jPanelList;
/*     */   
/*     */ 
/*     */   private JRadioButton jRadioButton1;
/*     */   
/*     */ 
/*     */   private JRadioButton jRadioButton2;
/*     */   
/*     */   public void setReadOnly(boolean b)
/*     */   {
/* 217 */     for (int i = 0; i < this.jPanelList.getComponentCount(); i++)
/*     */     {
/* 219 */       Component c = this.jPanelList.getComponent(i);
/* 220 */       if ((c instanceof JCheckBox))
/*     */       {
/* 222 */         ((JCheckBox)c).setEnabled(!b);
/*     */       }
/*     */     }
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-ireport-plugin-2.0.1.jar!\com\jaspersoft\jasperserver\irplugin\gui\inputcontrols\ui\CheckboxListInputControlUI.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       0.7.1
 */