/*     */ package com.jaspersoft.jasperserver.ws.scheduling;
/*     */ 
/*     */ import java.io.Serializable;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class JobRepositoryDestination
/*     */   implements Serializable
/*     */ {
/*     */   private long id;
/*     */   private int version;
/*     */   private String folderURI;
/*     */   private boolean sequentialFilenames;
/*     */   private boolean overwriteFiles;
/*     */   private String outputDescription;
/*     */   private String timestampPattern;
/*     */   
/*     */   public JobRepositoryDestination() {}
/*     */   
/*     */   public JobRepositoryDestination(long id, int version, String folderURI, boolean sequentialFilenames, boolean overwriteFiles, String outputDescription, String timestampPattern)
/*     */   {
/*  56 */     this.id = id;
/*  57 */     this.version = version;
/*  58 */     this.folderURI = folderURI;
/*  59 */     this.sequentialFilenames = sequentialFilenames;
/*  60 */     this.overwriteFiles = overwriteFiles;
/*  61 */     this.outputDescription = outputDescription;
/*  62 */     this.timestampPattern = timestampPattern;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public long getId()
/*     */   {
/*  72 */     return this.id;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setId(long id)
/*     */   {
/*  82 */     this.id = id;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public int getVersion()
/*     */   {
/*  92 */     return this.version;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setVersion(int version)
/*     */   {
/* 102 */     this.version = version;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getFolderURI()
/*     */   {
/* 112 */     return this.folderURI;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setFolderURI(String folderURI)
/*     */   {
/* 122 */     this.folderURI = folderURI;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public boolean isSequentialFilenames()
/*     */   {
/* 132 */     return this.sequentialFilenames;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setSequentialFilenames(boolean sequentialFilenames)
/*     */   {
/* 142 */     this.sequentialFilenames = sequentialFilenames;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public boolean isOverwriteFiles()
/*     */   {
/* 152 */     return this.overwriteFiles;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setOverwriteFiles(boolean overwriteFiles)
/*     */   {
/* 162 */     this.overwriteFiles = overwriteFiles;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getOutputDescription()
/*     */   {
/* 172 */     return this.outputDescription;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setOutputDescription(String outputDescription)
/*     */   {
/* 182 */     this.outputDescription = outputDescription;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getTimestampPattern()
/*     */   {
/* 192 */     return this.timestampPattern;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setTimestampPattern(String timestampPattern)
/*     */   {
/* 202 */     this.timestampPattern = timestampPattern;
/*     */   }
/*     */   
/* 205 */   private Object __equalsCalc = null;
/*     */   
/* 207 */   public synchronized boolean equals(Object obj) { if (!(obj instanceof JobRepositoryDestination)) return false;
/* 208 */     JobRepositoryDestination other = (JobRepositoryDestination)obj;
/* 209 */     if (obj == null) return false;
/* 210 */     if (this == obj) return true;
/* 211 */     if (this.__equalsCalc != null) {
/* 212 */       return this.__equalsCalc == obj;
/*     */     }
/* 214 */     this.__equalsCalc = obj;
/*     */     
/* 216 */     boolean _equals = (this.id == other.getId()) && (this.version == other.getVersion()) && (((this.folderURI == null) && (other.getFolderURI() == null)) || ((this.folderURI != null) && (this.folderURI.equals(other.getFolderURI())) && (this.sequentialFilenames == other.isSequentialFilenames()) && (this.overwriteFiles == other.isOverwriteFiles()) && (((this.outputDescription == null) && (other.getOutputDescription() == null)) || ((this.outputDescription != null) && (this.outputDescription.equals(other.getOutputDescription())) && (((this.timestampPattern == null) && (other.getTimestampPattern() == null)) || ((this.timestampPattern != null) && (this.timestampPattern.equals(other.getTimestampPattern()))))))));
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 230 */     this.__equalsCalc = null;
/* 231 */     return _equals;
/*     */   }
/*     */   
/* 234 */   private boolean __hashCodeCalc = false;
/*     */   
/* 236 */   public synchronized int hashCode() { if (this.__hashCodeCalc) {
/* 237 */       return 0;
/*     */     }
/* 239 */     this.__hashCodeCalc = true;
/* 240 */     int _hashCode = 1;
/* 241 */     _hashCode += new Long(getId()).hashCode();
/* 242 */     _hashCode += getVersion();
/* 243 */     if (getFolderURI() != null) {
/* 244 */       _hashCode += getFolderURI().hashCode();
/*     */     }
/* 246 */     _hashCode += (isSequentialFilenames() ? Boolean.TRUE : Boolean.FALSE).hashCode();
/* 247 */     _hashCode += (isOverwriteFiles() ? Boolean.TRUE : Boolean.FALSE).hashCode();
/* 248 */     if (getOutputDescription() != null) {
/* 249 */       _hashCode += getOutputDescription().hashCode();
/*     */     }
/* 251 */     if (getTimestampPattern() != null) {
/* 252 */       _hashCode += getTimestampPattern().hashCode();
/*     */     }
/* 254 */     this.__hashCodeCalc = false;
/* 255 */     return _hashCode;
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-common-ws-6.0.jar!\com\jaspersoft\jasperserver\ws\scheduling\JobRepositoryDestination.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */