/*     */ package com.netapp.asup.client.helper;
/*     */ 
/*     */ import java.io.PrintStream;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class RestPathConstants
/*     */ {
/*     */   public static final String COLON_SEPERATOR = ":";
/*     */   public static final String COMMA_SEPERATOR = ",";
/*     */   public static final String LONG_DATATYPE = "LONG";
/*     */   public static final String DATE_DATATYPE = "DATE";
/*     */   public static final String PATH_SEPERATOR = "/";
/*     */   public static final String OBJECT_VIEW = "object_view";
/*     */   public static final String OBJECT_LIST = "object_list";
/*     */   public static final String SHORT_DATE_FORMAT = "yyyy-MM-dd";
/*     */   public static final String LONG_DATE_FORMAT = "yyyy-MM-dd'T'HH:mm:ss";
/*     */   public static final String LONG_SQL_DATE_FORMAT = "yyyy-MM-dd\"T\"HH24:MI:SS";
/*     */   public static final int PATHTYPE_UNKNOWN = 0;
/*     */   public static final String STARTDATE = "startdate";
/*     */   public static final String ENDDATE = "enddate";
/*     */   public static final String ASUP_GEN_DATE = "asup_gen_date";
/*     */   public static final String ALL = "all";
/*     */   public static final String WEEKLY = "weekly";
/*     */   public static final String NON_WEEKLY = "nonweekly";
/*     */   public static final String WEEKLY_COLUMN_NAME = "asup_subject";
/*     */   public static final String WEEKLY_DEFAULT_VALUE = "WEEKLY";
/*     */   public static final String START = "start";
/*     */   public static final String LIMIT = "limit";
/*     */   public static final String GROUP_OFFSET = "group.offset";
/*     */   public static final String GROUP_LIMIT = "group.limit";
/*     */   public static final String ASUP_START = "asup_start";
/*     */   public static final String ASUP_LIMIT = "asup_limit";
/*     */   public static final String SYSTEM_START = "start";
/*     */   public static final String SYSTEM_LIMIT = "rows";
/*     */   public static final String CLIENT_ID = "client_id";
/*     */   public static final String REQUEST_START_Time = "requestTime";
/*     */   public static final String RESPONSE_Time = "responseTime";
/*     */   public static final String LAST = "last";
/*     */   public static final String HOSTNAME = "hostname";
/*     */   public static final String PARTNER_HOSTNAME = "partner_hostname";
/*     */   public static final String CLUSTER_NAME = "cluster_name";
/*     */   public static final String CLUSTER_IDENTIFIER = "cluster_identifier";
/*     */   public static final String ASUP_TYPE = "asup_type";
/*     */   public static final String ASUP_SUBJECT = "asup_subject";
/*     */   public static final String SYS_DOMAIN = "sys_domain";
/*     */   public static final String SYS_MODEL = "sys_model";
/*     */   public static final String SYS_VERSION = "sys_version";
/*     */   public static final String ASUP_DATA = "ASUP_DATA/";
/*     */   public static final String ASUP_ID = "asup_id";
/*     */   public static final String LIST = "list";
/*     */   public static final String SECTION_VIEW = "section_view";
/*     */   public static final String SECTION_NAME = "section_name";
/*     */   public static final String STATUS = "status";
/*     */   public static final String SYSTEM_ID = "system_id";
/*     */   public static final String GZ = ".gz";
/*     */   public static final String TIMEOUT = "timeout";
/*     */   public static final String ORDER = "order";
/*     */   public static final String ORDER_ASC = "asc";
/*     */   public static final String ORDER_DESC = "desc";
/*     */   public static final String SYS_SERIAL_NO = "sys_serial_no";
/* 111 */   public static int DEFAULT_START = 1;
/*     */   
/* 113 */   public static int DEFAULT_LIMIT = 50;
/*     */   
/* 115 */   public static int DEFAULT_SYSTEM_START = 1;
/*     */   
/* 117 */   public static int DEFAULT_SYSTEM_LIMIT = 1000;
/*     */   
/* 119 */   public static int DEFAULT_DATE_LIMIT = 30;
/*     */   
/* 121 */   public static int TOTAL_REST_DATE_LIMIT = 365;
/*     */   
/* 123 */   public static int DEFAULT_RECORD_LIMIT = 1500;
/*     */   
/* 125 */   public static long DEFAULT_TIMEOUT = 600L;
/*     */   
/* 127 */   public static long DEFAULT_RESPONSE_SIZE = 10485760L;
/*     */   
/*     */   public static final int STATUS_ID_IN_PROGRESS = 1;
/*     */   
/*     */   public static final int STATUS_ID_SUCCESS = 2;
/*     */   
/*     */   public static final int STATUS_ID_FAILED = 3;
/*     */   
/*     */   public static final int STATUS_ID_TIMEOUT = 4;
/*     */   
/*     */   public static final int STATUS_ID_TRUNCATED = 5;
/*     */   
/*     */   public static final String REST_REQUEST_SERVER_URL = "REST_SERVER_URL_PREFIX";
/*     */   
/*     */   public static final String REQUEST_CLIENT_ID = "CLIENT_ID";
/*     */   
/*     */   public static final String RESOURCE_ID = "resourceId";
/*     */   
/*     */   public static final String REST_REQUEST_PARAMETER_MAP = "restRequestParameterMap";
/*     */   
/*     */   public static final String DEFAULT_REQUEST_PARAMETER_BUILDER = "default";
/*     */   
/*     */   public static final String ETE = "ete_";
/*     */   
/*     */   public static final String REST_PATH_URL = "restPathUrl";
/*     */   
/*     */   public static final String ASUP = "asup";
/*     */   
/*     */   public static final String SYSTEM = "SYSTEM";
/*     */   
/*     */   public static final String CLUSTER = "CLUSTER";
/*     */   
/*     */   public static final String ASUP_ERROR = "ASUP_ERROR";
/*     */   
/*     */   public static final String COMPONENT_TYPE_ID = "component_type_id";
/*     */   
/*     */   public static final String AGGREGATE = "AGGREGATE";
/*     */   
/*     */   public static final String VOLUME = "VOLUME";
/*     */   
/*     */   public static final String OBJECT_VIEW_DATA_IDENTIFIER_VALUE = "object_view_data_identifier_value";
/*     */   
/*     */   public static final String OBJECT_VIEW_DATA_IDENTIFIER_NAME = "object_view_data_identifier_name";
/*     */   
/*     */   public static final String DATE_LIMIT = "date_limit";
/*     */   
/*     */   public static final String RECORD_LIMIT = "record_limit";
/*     */   
/*     */   public static final String REQUEST_ID = "request_id";
/*     */   
/*     */   public static final String CURRENT = "current";
/*     */   
/*     */   public static final String AS_OF = "as_of";
/*     */   
/*     */   public static final String CRMCUSTLIST = "crmcustlist";
/*     */   
/*     */   public static final String ALL_ASUP_START = "all_asup_start";
/*     */   
/*     */   public static final String ALL_ASUP_LIMIT = "all_asup_limit";
/*     */   
/*     */   public static final String SECTION_DATA = "section_data";
/*     */   
/*     */   public static final String LATEST_ASUP = "latest_asup";
/*     */   
/*     */   public static final String SECTION_PARSE = "section_parse";
/*     */   
/*     */   public static final String SECTION_FILES_DIRECTORY = "section_files_directory";
/*     */   
/*     */   public static final String TOTAL_RESULTS_COUNT = "total_results_count";
/*     */   
/*     */   public static final String CRM_CASE = "crm_case";
/*     */   
/*     */   public static final String BIZ_KEY = "biz_key";
/*     */   
/*     */   public static final String SEQUENCE_NUMBER = "sequence_number";
/*     */   
/* 203 */   public static String ADUT_LOG_FILE_PATH = null;
/*     */   
/*     */   public static final String OBJECT_DATA_CLUSTER = "cluster";
/*     */   
/*     */   public static final String OBJECT_DATA_NODE = "node";
/*     */   
/*     */   public static final String INNER = "INNER";
/*     */   
/*     */   public static final String LEFT = "LEFT";
/*     */   
/*     */   public static final String RIGHT = "RIGHT";
/*     */   
/*     */   public static final String SYSTEM_OFFSET = "system_offset";
/*     */   
/*     */   public static final String SYSTEM_RECORD_LIMIT = "system_record_limit";
/*     */   
/* 219 */   public static int DEFAULT_SYSTEMS_ALLOWED = 100;
/*     */   
/* 221 */   public static int DEFAULT_ASUP_RECORD_LIMIT = 10000;
/*     */   
/*     */   public static final String ASUP_RECORD_LIMIT = "asup_record_limit";
/*     */   
/* 225 */   public static final String[] ASUP_RESPONSE_TAGS = { "asup_id", "asup_subject", "asup_type", "asup_gen_date", "asup_received_date", "asup_gen_zone" };
/*     */   
/* 227 */   public static final String[] SYSTEM_RESPONSE_TAGS = { "system_id", "sys_serial_no", "sys_model", "hostname", "sys_version" };
/*     */   
/*     */ 
/*     */ 
/*     */   public static final String FSLASH = "/";
/*     */   
/*     */ 
/*     */   public static final String OPTION = "OPTION";
/*     */   
/*     */ 
/*     */   public static final String OPTION_VALUE = "option_value";
/*     */   
/*     */ 
/*     */   public static final int AS_OF_MAX_ATTEMPT = 10;
/*     */   
/*     */ 
/*     */   public static final String GMT = "GMT";
/*     */   
/*     */ 
/*     */   public static final String DOCUMENT_SCOPE_FIELD = "system_id_serial_number";
/*     */   
/*     */ 
/*     */   public static final String CUSTOMER_VALIDATION_QUERY = " and system.INSTALLED_PRODUCT_ID in (select product.INSTALLED_PRODUCT_ID from installed_product product , installed_product_partner partner where product.installed_product_id = partner.installed_product_id and product.system_id is not null and trim(product.system_id) is not null and product.status = 'ACTIVE' and partner.partner_id in (";
/*     */   
/*     */ 
/*     */ 
/*     */   public static void updateConstants(int defaultStart, int defaultLimit, int defaultDateLimit, int defaultRecordLimit, long defaultTimeout, long defaultResponseSize, String adutLogFilePath)
/*     */   {
/* 255 */     System.out.println("DEFAULT_START:DEFAULT_LIMIT:DEFAULT_DATE_LIMIT:DEFAULT_RECORD_LIMIT:DEFAULT_TIMEOUT:DEFAULT_RESPONSE_SIZE:DEFAULT_ALL_ASUP_START:DEFAULT_ALL_ASUP_LIMIT");
/*     */     
/* 257 */     System.out.println("Update Constants:" + defaultStart + ":" + defaultLimit + ":" + defaultDateLimit + ":" + defaultRecordLimit + ":" + defaultTimeout + ":" + defaultResponseSize);
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 270 */     DEFAULT_START = defaultStart;
/* 271 */     DEFAULT_LIMIT = defaultLimit;
/* 272 */     DEFAULT_DATE_LIMIT = defaultDateLimit;
/* 273 */     DEFAULT_RECORD_LIMIT = defaultRecordLimit;
/* 274 */     DEFAULT_TIMEOUT = defaultTimeout;
/* 275 */     DEFAULT_RESPONSE_SIZE = defaultResponseSize;
/* 276 */     ADUT_LOG_FILE_PATH = adutLogFilePath;
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\asup-metamodel-client-1.0.jar!\com\netapp\asup\client\helper\RestPathConstants.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */