/*     */ package com.jaspersoft.jasperserver.ws.scheduling;
/*     */ 
/*     */ import java.io.Serializable;
/*     */ import java.lang.reflect.Array;
/*     */ import java.util.Arrays;
/*     */ import java.util.Calendar;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class JobCalendarTrigger
/*     */   extends JobTrigger
/*     */   implements Serializable
/*     */ {
/*     */   private String minutes;
/*     */   private String hours;
/*     */   private CalendarDaysType daysType;
/*     */   private int[] weekDays;
/*     */   private String monthDays;
/*     */   private int[] months;
/*     */   
/*     */   public JobCalendarTrigger() {}
/*     */   
/*     */   public JobCalendarTrigger(long id, int version, String timezone, Calendar startDate, Calendar endDate, String minutes, String hours, CalendarDaysType daysType, int[] weekDays, String monthDays, int[] months)
/*     */   {
/*  58 */     super(id, version, timezone, startDate, endDate);
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*  64 */     this.minutes = minutes;
/*  65 */     this.hours = hours;
/*  66 */     this.daysType = daysType;
/*  67 */     this.weekDays = weekDays;
/*  68 */     this.monthDays = monthDays;
/*  69 */     this.months = months;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getMinutes()
/*     */   {
/*  79 */     return this.minutes;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setMinutes(String minutes)
/*     */   {
/*  89 */     this.minutes = minutes;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getHours()
/*     */   {
/*  99 */     return this.hours;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setHours(String hours)
/*     */   {
/* 109 */     this.hours = hours;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public CalendarDaysType getDaysType()
/*     */   {
/* 119 */     return this.daysType;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setDaysType(CalendarDaysType daysType)
/*     */   {
/* 129 */     this.daysType = daysType;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public int[] getWeekDays()
/*     */   {
/* 139 */     return this.weekDays;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setWeekDays(int[] weekDays)
/*     */   {
/* 149 */     this.weekDays = weekDays;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getMonthDays()
/*     */   {
/* 159 */     return this.monthDays;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setMonthDays(String monthDays)
/*     */   {
/* 169 */     this.monthDays = monthDays;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public int[] getMonths()
/*     */   {
/* 179 */     return this.months;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setMonths(int[] months)
/*     */   {
/* 189 */     this.months = months;
/*     */   }
/*     */   
/* 192 */   private Object __equalsCalc = null;
/*     */   
/* 194 */   public synchronized boolean equals(Object obj) { if (!(obj instanceof JobCalendarTrigger)) return false;
/* 195 */     JobCalendarTrigger other = (JobCalendarTrigger)obj;
/* 196 */     if (obj == null) return false;
/* 197 */     if (this == obj) return true;
/* 198 */     if (this.__equalsCalc != null) {
/* 199 */       return this.__equalsCalc == obj;
/*     */     }
/* 201 */     this.__equalsCalc = obj;
/*     */     
/* 203 */     boolean _equals = (super.equals(obj)) && (((this.minutes == null) && (other.getMinutes() == null)) || ((this.minutes != null) && (this.minutes.equals(other.getMinutes())) && (((this.hours == null) && (other.getHours() == null)) || ((this.hours != null) && (this.hours.equals(other.getHours())) && (((this.daysType == null) && (other.getDaysType() == null)) || ((this.daysType != null) && (this.daysType.equals(other.getDaysType())) && (((this.weekDays == null) && (other.getWeekDays() == null)) || ((this.weekDays != null) && (Arrays.equals(this.weekDays, other.getWeekDays())) && (((this.monthDays == null) && (other.getMonthDays() == null)) || ((this.monthDays != null) && (this.monthDays.equals(other.getMonthDays())) && (((this.months == null) && (other.getMonths() == null)) || ((this.months != null) && (Arrays.equals(this.months, other.getMonths()))))))))))))));
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 222 */     this.__equalsCalc = null;
/* 223 */     return _equals;
/*     */   }
/*     */   
/* 226 */   private boolean __hashCodeCalc = false;
/*     */   
/* 228 */   public synchronized int hashCode() { if (this.__hashCodeCalc) {
/* 229 */       return 0;
/*     */     }
/* 231 */     this.__hashCodeCalc = true;
/* 232 */     int _hashCode = super.hashCode();
/* 233 */     if (getMinutes() != null) {
/* 234 */       _hashCode += getMinutes().hashCode();
/*     */     }
/* 236 */     if (getHours() != null) {
/* 237 */       _hashCode += getHours().hashCode();
/*     */     }
/* 239 */     if (getDaysType() != null) {
/* 240 */       _hashCode += getDaysType().hashCode();
/*     */     }
/* 242 */     if (getWeekDays() != null) {
/* 243 */       for (int i = 0; 
/* 244 */           i < Array.getLength(getWeekDays()); 
/* 245 */           i++) {
/* 246 */         Object obj = Array.get(getWeekDays(), i);
/* 247 */         if ((obj != null) && (!obj.getClass().isArray()))
/*     */         {
/* 249 */           _hashCode += obj.hashCode();
/*     */         }
/*     */       }
/*     */     }
/* 253 */     if (getMonthDays() != null) {
/* 254 */       _hashCode += getMonthDays().hashCode();
/*     */     }
/* 256 */     if (getMonths() != null) {
/* 257 */       for (int i = 0; 
/* 258 */           i < Array.getLength(getMonths()); 
/* 259 */           i++) {
/* 260 */         Object obj = Array.get(getMonths(), i);
/* 261 */         if ((obj != null) && (!obj.getClass().isArray()))
/*     */         {
/* 263 */           _hashCode += obj.hashCode();
/*     */         }
/*     */       }
/*     */     }
/* 267 */     this.__hashCodeCalc = false;
/* 268 */     return _hashCode;
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-common-ws-6.0.jar!\com\jaspersoft\jasperserver\ws\scheduling\JobCalendarTrigger.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */